View Issue Details

IDProjectCategoryView StatusLast Update
0000949SymmetricDSBugpublic2014-02-02 20:53
ReporterrottenAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.1.11 
Target Version3.5.0Fixed in Version3.5.0 
Summary0000949: reload table doesn't work with wildcard triggers
DescriptionI configured replication for a schema using (*) for the table definition. And replication works fine.

However, if I wish to reload a specific table in that set of tables, I get an error.

When I try to do the reload request from the MX4J console I get:
"Error during MBean operation invocationMessage: RuntimeException thrown in RequiredModelMBean while trying to invoke operation reloadTable"

Nothing shows up in the logs (running sym standalone with '-v').

When I run the reload request from symadmin it doesn't throw any errors. I never see an associated reload channel batch in sym_outgoing_batch though.

I upgraded from 3.1.10, to 3.1.11.1, to 3.2.0-52. This behavior is observed on all three versions.

This was for PostgreSQL to PostgreSQL replication.
Steps To Reproduce1) Replicate a schema using "*" for the source_table_name.
2) Try to reload an individual table in that schema.

Activities

chenson

2013-06-23 17:51

administrator   ~0000288

I added a unit test for this and fixed a case issue. Didn't observe the issue described, but I'm marking it as fixed for 3.5. We can reopen if necessary.

chenson

2013-07-22 17:51

administrator   ~0000321

prepare for release

Related Changesets

SymmetricDS: master d999c457

2013-06-23 17:52:12

chenson

Details Diff
0000949: reload table doesn't work with wildcard triggers
0000949
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2012-12-12 12:04 rotten New Issue
2013-06-23 17:51 chenson Note Added: 0000288
2013-06-23 17:51 chenson Fixed in Version => 3.5.0
2013-06-23 17:51 chenson Target Version => 3.5.0
2013-06-23 17:54 chenson Status new => resolved
2013-06-23 17:54 chenson Resolution open => fixed
2013-06-23 17:54 chenson Assigned To => chenson
2013-07-22 17:51 chenson Note Added: 0000321
2013-07-22 17:51 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7441
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d999c457